Main Page Class Hierarchy Compound List File List Compound Members

# TiXmlElement Class Reference

The element is a container class. More...

`#include <tinyxml.h>`

Inheritance diagram for TiXmlElement::

List of all members.

## Public Methods

| TiXmlElement (const std::string &value)
| Construct an element.
const std::string * | Attribute (const std::string &name) const
| Given an attribute name, attribute returns the value for the attribute of that name, or null if none exists.
const std::string * | Attribute (const std::string &name, int *i) const
| Given an attribute name, attribute returns the value for the attribute of that name, or null if none exists.
void | SetAttribute (const std::string &name, const std::string &value)
| Sets an attribute of name to a given value. More...
void | SetAttribute (const std::string &name, int value)
| Sets an attribute of name to a given value. More...
void | RemoveAttribute (const std::string &name)
| Deletes an attribute with the given name.
TiXmlAttribute * | FirstAttribute ()
| Access the first attribute in this element.
TiXmlAttribute * | LastAttribute ()
| Access the last attribute in this element.

## Detailed Description

The element is a container class.

It has a value, the element name, and can contain other elements, text, comments, and unknowns. Elements also contain an arbitrary number of attributes.

## Member Function Documentation

void TiXmlElement::SetAttribute | ( | const std::string & | name,
|  | int | value
| ) |

| Sets an attribute of name to a given value. The attribute will be created if it does not exist, or changed if it does.

void TiXmlElement::SetAttribute | ( | const std::string & | name,
|  | const std::string & | value
| ) |

| Sets an attribute of name to a given value. The attribute will be created if it does not exist, or changed if it does.

The documentation for this class was generated from the following file:

- tinyxml.h